Bug 118579 - FILEOPEN: html: File format error found at 920,8(row,col)
Summary: FILEOPEN: html: File format error found at 920,8(row,col)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.2 target:6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-06 13:12 UTC by Ale
Modified: 2018-07-26 19:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
example of .doc which makes LO 6.X.X chrash (31.46 KB, text/html)
2018-07-06 13:18 UTC, Ale
Details
Error after LO crash (same for all OS) (4.76 KB, image/png)
2018-07-06 13:20 UTC, Ale
Details
Desktop recording to show bug (6.23 MB, video/mp4)
2018-07-06 14:41 UTC, Ale
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ale 2018-07-06 13:12:03 UTC
Description:
Our firm uses tons of word .doc models form to apply for (lets assume 1000-2000 forms, perhaps more), forms are stored on a web portal, we use Firefox, Chrome and IE11 to download them, opening with Libreoffice, fill in the missing fields and print and give to customers.
We have started to move LO installation from ver 5.X to 6.0 but all 6.0 versions installed (4-5 pc) show the same behavior: when trying to open such files LO crashes with an error and closes.
If downgraded LO to any ver 5.4.X everything works like a charms.
Tested on Linux (Mint, Slackware) and on Windows 10.
Error message is always the same.
It is not related to profile: on every pc user profile was different.

Steps to Reproduce:
1. Open web portal
2. Select model to open
3. Click to download .doc file and open
4. LO crashes

Actual Results:
LO closes abruptly

Expected Results:
LO open the .doc file and let me to fill in


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.5.2
Build ID: 1:6.0.5~rc2-0ubuntu0.16.04.1~lo1
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: x11; 
Locale: it-IT (it_IT.UTF-8); Calc: group
Comment 1 Ale 2018-07-06 13:18:32 UTC
Created attachment 143351 [details]
example of .doc which makes LO 6.X.X chrash

If needed I can test other conbination oe setup or versione, let me know.
O.S. and LO are always in Italian
Comment 2 Ale 2018-07-06 13:20:47 UTC
Created attachment 143352 [details]
Error after LO crash (same for all OS)
Comment 3 Xisco Faulí 2018-07-06 14:11:16 UTC
i get the error mentioned:

Read Error.
File format error found at 920,8(row,col).

But it doesn't crash for me.
Is LibreOffice closed abruptly ?
Comment 4 MM 2018-07-06 14:15:20 UTC
Unconfirmed on ubuntu 16.04 x64 with Version: 6.0.0.0.alpha1+
Build ID: 637d96a25926e299fff5b4cf5a0055b1d171b23b
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-17_23:45:59
Locale: en-US (en_US.UTF-8); Calc: single


Confirmed with Version: 6.1.0.0.alpha1+
Build ID: 47dc3115f12ff16dc326b6edd12c46e6a6ef1843
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-05-17_00:32:17
Locale: en-US (en_US.UTF-8); Calc: 

It's not crashing, but the file simply won't open.
Comment 5 Xisco Faulí 2018-07-06 14:30:13 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1f349bb10c3c1fc6d5d598847a7281cef728b762


author	Caolán McNamara <caolanm@redhat.com>	2017-12-28 22:28:08 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2017-12-29 15:21:48 +0100
commit	1f349bb10c3c1fc6d5d598847a7281cef728b762 (patch)
tree	38b3017b4a55ed63dbddd7b457f4f61143cb4e63
parent	4475ffbdaec9353ba01b6e4a39420d81c562d5d9 (diff)
ofz#4817 Chaos with multiple body tags

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 6 MM 2018-07-06 14:39:16 UTC
Plz never send any mails directly to the mailaddress, always use this site...
Comment 7 Ale 2018-07-06 14:41:47 UTC
Created attachment 143358 [details]
Desktop recording to show bug

Sorry for video quality.
SAME behavior for ALL platform (win & Linux), same error
With older 5.4.7 or lower it's ok.
Comment 8 Julien Nabet 2018-07-06 17:51:51 UTC
On pc Debian x86-64 with master sources updated today with gtk3 and these options
--enable-dbgutil
--enable-split-debug
--enable-gdb-index
--enable-ld=gold
I also had the error message, then when clicking "OK" LO aborted (at least no crash)
Comment 9 Xisco Faulí 2018-07-17 20:23:51 UTC
Increasing severity...
Comment 10 Caolán McNamara 2018-07-18 15:08:03 UTC
Its not a crash and the document is a html one. The html has a body tag inside a body tag which is invalid
Comment 11 Caolán McNamara 2018-07-18 15:14:37 UTC
I'll ignore the embedded body instead of flagging it as an error
Comment 12 Commit Notification 2018-07-18 20:14:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98fdac1e1f7dcba40b1d3a1cd5662f23160a0881

tdf#118579 ignore body in body instead of flagging as an error

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2018-07-18 20:15:45 UTC
backports to 6-1 and 6-0 in gerrit
Comment 14 Commit Notification 2018-07-19 10:19:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c715fd34f3c5c843e7ba6fbc781fbf76935b4509&h=libreoffice-6-1

tdf#118579 ignore body in body instead of flagging as an error

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2018-07-19 16:23:24 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 934c7fdd23c95858fba022ba1fe7c00d23f502b5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, Thanks for fixing this!!
Comment 16 Commit Notification 2018-07-25 22:24:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46b6a3b0e244596f8eed88584efacae3debd1917&h=libreoffice-6-0

tdf#118579 ignore body in body instead of flagging as an error

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-07-26 19:23:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b419713f879f72dbb947ee2251a9cf586d46c3b3&h=libreoffice-6-0-6

tdf#118579 ignore body in body instead of flagging as an error

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.